This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831377 - [as7] Error Updating cluster-connection Resource Attributes
[as7] Error Updating cluster-connection Resource Attributes
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 835701
  Show dependency treegraph
 
Reported: 2012-06-12 18:01 EDT by Stefan Negrea
Modified: 2013-09-01 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835701 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:11:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-12 18:01:08 EDT
Description of problem:
The following configuration parameters are marked as long in the plugin descriptor but the AS7 accepts and returns decimal values.


Attribute: retry-interval-multiplier
Address: subsystem=messaging,hornetq-server=default,cluster-connection=my-cluster, name=my-cluster, parent=default


How reproducible:
Every time

Steps to Reproduce:
1. Discover and import an AS7 server
2. Find the resource described by the address noted above.
3. Attempt to update the configuration with retry-interval-multiplier as a decimal number (eg 1.5)
  
Actual results:
The UI does not allow the user to submit a configuration update request with decimal numbers. If a decimal number is read from AS7, the user is asked to correct the entry.

Expected results:
Update retry-interval-multiplier with a decimal number without any problems.


Additional info:
The user are still able to update this resource with long values.
Comment 1 Stefan Negrea 2012-06-12 18:15:50 EDT
Updated plugin descriptor to accept decimal values for retry-interval-multiplier.

master branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=2b7e819927ec18f13bd75c49246c1f837fa96aeb
Comment 2 Heiko W. Rupp 2013-09-01 06:11:38 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.